<?php
  function getSystemType()
  {
    if(!isSet($_SERVER['HTTP_USER_AGENT'])){
      return("nieznany");
    }

    $browser_info = strtolower($_SERVER['HTTP_USER_AGENT']);
    
    if(strpos($browser_info, "windows") !== false){
      return("windows");
    }
    else if(strpos($browser_info, "linux") !== false){
      return("linux");
    }
    else if(strpos($browser_info, "mac") !== false){
      return("macos");
    }
    else{
      return("nieznany");
    }
  }

  echo getSystemType();
?>
